Get Connection
GET
/connections/{connection_id}Authorization
bearerAuth AuthorizationBearer <token>
Your Maton API key, sent as Authorization: Bearer <MATON_API_KEY>. Create one at https://maton.ai/settings.
In: header
Path Parameters
connection_id*string
The connection's unique identifier.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET \ "https://api.maton.ai/connections/{connection_id}" \ -H "Authorization: Bearer $MATON_API_KEY"{
"connection": {
"connection_id": "5d0c1f8e-3a2b-4c6d-8e9f-0a1b2c3d4e5f",
"status": "ACTIVE",
"creation_time": "2026-01-08T07:20:53.488460Z",
"last_updated_time": "2026-01-31T20:03:32.593153Z",
"url": "https://connect.maton.ai/?session_token=5e9...",
"app": "slack",
"method": "OAUTH2",
"metadata": {}
}
}{
"message": "Invalid API key.",
"type": "Unauthorized",
"code": 401
}{
"message": "Resource not found.",
"type": "Not Found",
"code": 404
}{
"message": "Too many requests.",
"type": "Too Many Requests",
"code": 429
}{
"message": "Internal server error.",
"type": "Internal Server Error",
"code": 500
}